__gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >(3cxx)

NAME
__gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > - Similar to std::binder2nd, but giving the argument types explicitly.

SYNOPSIS

#include <base.h>

Inherits std::unary_function< _FirstArgumentType, _ResultType >.

  Public Types

typedef _FirstArgumentType argument_type
argument_type is the type of the argument
typedef _ResultType result_type
result_type is the return type

  Public Member Functions

__binder2nd (const _Operation &__x, const _SecondArgumentType &__y)
_ResultType operator() (_FirstArgumentType &__x)
_ResultType operator() (const _FirstArgumentType &__x) const

  Protected Attributes

_Operation _M_op
_SecondArgumentType _M_value

Detailed Description

  template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>
class __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >"Similar to std::binder2nd, but giving the argument types explicitly.

Member Typedef Documentation

  typedef _FirstArgumentType std::unary_function< _FirstArgumentType , _ResultType >::argument_type [inherited]

argument_type is the type of the argument

  typedef _ResultType std::unary_function< _FirstArgumentType , _ResultType >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.